<template>
  <div>
    <q-modal v-model.lazy="show" maximized>
      <q-modal-layout>
        <q-toolbar slot="header">
          <q-btn
            flat
            round
            dense
            @click="unselectAddNote()"
            icon="reply"
            wait-for-ripple
          />
          <q-toolbar-title>
            Add Note
          </q-toolbar-title>
        </q-toolbar>
        <q-input v-model="name" float-label="Name" />
        <q-editor v-model="html" />
      </q-modal-layout>
    </q-modal>
  </div>
</template>

<script>
export default {
  name: 'CreateNote',
  components: {
  },
  props: ['show'],
  data () {
    return {
      name: '',
      html: ''
    }
  },
  methods: {
    unselectAddNote () {
      this.$emit('unselectAddNote', {'name': this.name, 'html': this.html})
    }
  }
}
</script>

<style lang='stylus'>
</style>
